diff a/src/hotspot/share/interpreter/interpreterRuntime.hpp b/src/hotspot/share/interpreter/interpreterRuntime.hpp
--- a/src/hotspot/share/interpreter/interpreterRuntime.hpp
+++ b/src/hotspot/share/interpreter/interpreterRuntime.hpp
@@ -43,11 +43,10 @@
  private:
 
   static void      set_bcp_and_mdp(address bcp, JavaThread* current);
   static void      note_trap_inner(JavaThread* current, int reason,
                                    const methodHandle& trap_method, int trap_bci);
-  static void      note_trap(JavaThread* current, int reason);
 
   // Inner work method for Interpreter's frequency counter overflow.
   static nmethod* frequency_counter_overflow_inner(JavaThread* current, address branch_bcp);
 
  public:
@@ -88,15 +87,17 @@
 #if INCLUDE_JVMTI
   static void    member_name_arg_or_null(JavaThread* current, address dmh, Method* m, address bcp);
 #endif
   static void    throw_pending_exception(JavaThread* current);
 
+  static void    note_trap(JavaThread* current, int reason);
+
   static void resolve_from_cache(JavaThread* current, Bytecodes::Code bytecode);
 
   // Used by AOTConstantPoolResolver
   static void resolve_get_put(Bytecodes::Code bytecode, int field_index,
-                              methodHandle& m, constantPoolHandle& pool, bool initialize_holder, TRAPS);
+                              methodHandle& m, constantPoolHandle& pool, StaticMode static_mode, TRAPS);
   static void cds_resolve_invoke(Bytecodes::Code bytecode, int method_index,
                                  constantPoolHandle& pool, TRAPS);
   static void cds_resolve_invokehandle(int raw_index,
                                        constantPoolHandle& pool, TRAPS);
   static void cds_resolve_invokedynamic(int raw_index,
